<?php
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(''.homeurl.' - Настройки анкеты');

///Подключаем шапку
$title->GetHeader();
if ($b == false){
header('location:/');
die();
}

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Настройки анкеты</h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/office" rel="v:url" property="v:title">Кабинет</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Настройки анкеты</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> -<a href="/office"> Кабинет</a> - Настройки анкеты</div>';

if (isset($_GET['save'])) echo '<div class="row text_box">Данные успешно обновлены.</div>';
if (isset($_POST['save'])) {
$form = ['name' => isset($_POST['name']) ? check($_POST['name']) : null, 'country' => isset($_POST['country']) ? check($_POST['country']) : null, 'city' => isset($_POST['city']) ? check($_POST['city']) : null, 'birthday' => isset($_POST['birthday']) ? check($_POST['birthday']) : null, 'about' => isset($_POST['about']) ? check($_POST['about']) : null, 'family' => isset($_POST['family']) ? check($_POST['family']) : null, 'icq' => isset($_POST['icq']) ? abs((int)$_POST['icq']) : null, 'mobtel' => isset($_POST['mobtel']) ? abs((int)$_POST['mobtel']) : null, 'skype' => isset($_POST['skype']) ? check($_POST['skype']) : null, 'spec' => isset($_POST['spec']) ? abs((int)$_POST['spec']) : null, 'oper' => isset($_POST['oper']) ? check($_POST['oper']) : null, 'vk' => isset($_POST['vk']) ? check($_POST['vk']) : null, 'inter' => isset($_POST['inter']) ? check($_POST['inter']) : null, 'model' => isset($_POST['model']) ? check($_POST['model']) : null, 'rodz' => isset($_POST['rodz']) ? check($_POST['rodz']) : null];

if (mb_strlen($form['name']) > 15 && mb_strlen($form['family']) > 15) {
err('Имя и фамилия: не больше 15 символов.');
} elseif (!empty($form['name']) && !preg_match('/[A-zА-я-]/i', $form['name'])) {
err('Запрещенные символы в имени.');
} elseif (!empty($form['family']) && !preg_match('/[A-zА-я-]/i', $form['family'])) {
err('Запрещенные символы в фамилии.');
} else if (!empty($form['city']) && !preg_match('/[A-zА-я-]/i', $form['city'])) {
err('Запрещенные символы в поле город.');
} elseif (!empty($form['birthday']) && !preg_match('/[0-9.]/i', $form['birthday'])) {
err('Запрещенные символы в поле дата рождения.');
} elseif (!empty($form['icq']) && !preg_match('/[0-9]/i', $form['icq'])) {
err('Запрещенные символы в поле ICQ.');
} elseif (!empty($form['mobtel']) && !preg_match('/[0-9+]/i', $form['mobtel'])) {
err('Запрещенные символы в поле мобильный телефон.');
} else {
DB::$dbs->query("UPDATE blogger SET name = ?, birthday = ?, country = ?, city = ?,
about = ?, family = ?, icq = ?, skype = ?, mobtel = ?, spec = ?, oper = ?, inter = ?, rodz = ?, model = ?, vk = ? WHERE id = ?", [$form['name'],$form['birthday'],$form['country'],$form['city'],$form['about'],$form['family'],$form['icq'],$form['skype'],$form['mobtel'],$form['spec'],$form['oper'],$form['inter'],$form['rodz'],$form['model'],$form['vk'],$b['id']]);
header('location: ?save');
die();
}
}
echo '<div class="row text_box"><form action="#" method="POST">Имя:<br/><input type="text" class="form-control"name="name" value="'.$b['name'].'"/><br/>Фамилия:<br/><input type="text" class="form-control"name="family" value="'.$b['family'].'"/><br/>Дата рождения (прим. 01.01.1970):<br/><input type="text" class="form-control"name="birthday" value="'.$b['birthday'].'"/><br/>Страна:<br/><input type="text" class="form-control"name="country" value="'.$b['country'].'"/><br/>Город:<br/><input class="form-control"type="text" name="city" value="'.$b['city'].'"/><br/>О себе:<br/><input class="form-control"type="text" name="about" value="'.$b['about'].'"/><br/>';
echo 'Выберите специальность:<br/><select class="form-control" name="spec">';
$sp = [0=>'Ничего не умею', 1=>'Кодер', 2=>'Дизайнер', 3=>'Хостер', 4=>'Селлер', 5=>'Программист'];
foreach($sp as $value => $key) {
$selected = ($b['spec'] == $value) ? 'selected="selected"': NULL;
echo '<option '.$selected.' value="'.$value.'">'.$key.'</option>';
}
echo '</select></div>
<div class="catSides"><i class="md-format-list-bulleted"></i> Контакты</div><div class="row text_box">ICQ:<br/><input type="text" class="form-control" name="icq" value="'.$b['icq'].'"/><br/>Skype:<br/><input type="text" class="form-control" name="skype" value="'.$b['skype'].'"/><br/>Моб. телефон:<br/><input type="text" class="form-control" name="mobtel" value="'.$b['mobtel'].'"/></div>
<div class="catSides"><i class="md-format-list-bulleted"></i> Прочее</div><div class="row text_box">Род занятий:<br/><input type="text" class="form-control"name="rodz" value="'.$b['rodz'].'"/><br/>Интересы:<br/><input type="text" class="form-control"name="inter" value="'.$b['inter'].'"/><br/>Модель телефона:<br/><input type="text" class="form-control" name="model" value="'.$b['model'].'"/><br/>Оператор:<br/><input type="text" class="form-control" name="oper" value="'.$b['oper'].'"/><br/>Vk:<br/><input type="text" class="form-control" name="vk" value="'.$b['vk'].'"/><br/>
<input type="submit" name="save" class="btn btn-primary"value="Изменить"/></form></div>';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> Безопасность</div>';
if (isset($_POST['pass'])) {
$newpass = check($_POST['newpass']);
$newpass2 = check($_POST['newpass2']);
$lospass = check($_POST['lospass']);
if(empty($newpass) || empty($newpass2) || empty($lospass)) {
err('Все поля обязательны к заполнению!');
} elseif (mb_strlen($newpass) > 15 && mb_strlen($newpass2) > 15) {
err('Не больше 15 символов.');
}
elseif (sha1($lospass.'gearnet') != $b['pass']){
err('Не верно введен текущий пароль!');
}
elseif ($newpass != $newpass2){
err('Новый пароль не совпадает с подтвержденным паролем!');
} elseif (!preg_match('/[A-z0-9]/i', $newpass)) {
err('Запрещенные символы в новом пароле.');
} else {
DB::$dbs->query("UPDATE blogger SET pass = ? WHERE id = ? LIMIT 1",[sha1($newpass.'gearnet'),$b['id']]);
setcookie('pass', '');
setcookie('pass', sha1($newpass.'gearnet'), time()+3600*24*365);
echo '<div class="row text_box">Пароль успешно изменен!</div>';
}
}
echo '<div class="row text_box"><form action="#" method="post">Текущий пароль:<br /><input type="text" class="form-control" name="lospass"/><br />Новый пароль:<br /><input type="text" class="form-control" name="newpass"/><br />Подтвердите новый пароль:<br /><input type="text" class="form-control" name="newpass2"/><br /><input type="submit" name="pass" class="btn btn-primary" value="Изменить"/></form></div>';

///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>